---
title: "Docs Home"
description: "Everything you need to know about how the documentation is organized."
---

# Welcome

Welcome to the [Helm](https://helm.sh/) documentation. Helm is the package
manager for Kubernetes, and you can read detailed background information in the
[CNCF Helm Project Journey
report](https://www.cncf.io/cncf-helm-project-journey/).

# How the documentation is organized

Helm has a lot of documentation. A high-level overview of how it’s organized
will help you know where to look for certain things:

- [Tutorials](chart_template_guide/getting_started/) take you by the hand through a series of steps to create
  your first Helm chart. Start here if you’re new to Helm.
- [Topic guides](topics) discuss key topics and concepts at a fairly high level
  and provide useful background information and explanation.
- [Community Guides](community) discuss topics centered around Helm’s community.
  Start here if you want to learn more about the development process of Helm
  itself and how you can contribute.
- [How-to guides](howto) are recipes. They guide you through the steps involved
  in addressing key problems and use-cases. They are more advanced than
  tutorials and assume some knowledge of how Helm works.
