---
title: "Helm Create"
---

## helm create

주어진 이름으로 새로운 차트를 생성

### 개요


이 명령은 차트에 사용되는 공통 파일 및 디렉토리와 함께 
차트 디렉토리를 만든다.

예를 들어, 'helm create foo' 는 다음과 같은 디렉토리
구조를 생성한다:

    foo/
    ├── .helmignore   # 헬름 차트를 패키징할 때 무시할 패턴 포함
    ├── Chart.yaml    # 차트에 대한 정보
    ├── values.yaml   # 템플릿의 기본값
    ├── charts/       # 이 차트가 의존하는 차트
    └── templates/    # 템플릿 파일
        └── tests/    # 테스트 파일

'helm create' 는 인수로 경로를 받는다. 지정된 경로에 디렉토리가
존재하지 않으면 헬름은 디렉토리를 생성하려고 시도할 것이다.
지정된 대상이 있고 해당 디렉토리에 파일이 있으면 충돌하는 파일을
덮어 쓰지만 다른 파일은 그대로 둔다.


```
helm create NAME [flags]
```

### 옵션

```
  -h, --help             create에 대한 도움말
  -p, --starter string   헬름 스타터 재료의 이름 또는 절대 경로
```

### 부모 명령어에서 상속된 옵션들

```
      --add-dir-header                   이 값이 참이면, 헤더에 파일 디렉토리를 추가
      --alsologtostderr                  표준 오류를 로그 및 파일로 표시
      --debug                            장황한(verbose) 출력 활성화
      --kube-apiserver string            쿠버네티스 API 서버의 주소 및 포트
      --kube-context string              사용할 kubeconfig 컨텍스트 이름
      --kube-token string                인증에 사용될 베어러(bearer) 토큰
      --kubeconfig string                kubeconfig 파일 경로
      --log-backtrace-at traceLocation   로깅 시 N 행에 걸친 스택 추적 내용을 표시 (기본값 :0)
      --log-dir string                   값을 지정하면, 지정한 디렉토리에 로그 파일 기록
      --log-file string                  값을 지정하면, 지정한 로그 파일 사용
      --log-file-max-size uint           로그파일이 증가할 수 있는 최대 크기 지정. 단위는 메가바이트이다. 값이 0이면, 최대 파일크기는 무제한. (기본값 1800)
      --logtostderr                      로그를 파일이 아닌 표준 출력으로 표시 (기본값 true)
  -n, --namespace string                 요청에 대한 네임스페이스 지정
      --registry-config string           레지스트리 구성 파일에 대한 경로 (기본값 "~/.config/helm/registry.json")
      --repository-cache string          캐시된 저장소 색인이 포함된 파일의 경로 (기본값 "~/.cache/helm/repository")
      --repository-config string         저장소 이름 및 URL 을 포함하는 파일 경로 (기본값 "~/.config/helm/repositories.yaml")
      --skip-headers                     이 값이 true이면, 로그파일에서 헤더 접두어를 미사용
      --skip-log-headers                 이 값이 true이면, 로그파일을 열 때 헤더 제외
      --stderrthreshold severity         stderr로 로그가 변경될 수 있는 최저 임계점 (기본값 2)
  -v, --v Level                          로그 수준 상세표시 레벨
      --vmodule moduleSpec               파일로 필터링된 로깅을 위한 패턴=N 설정의 쉼표로 구분된 리스트
```

### 참조

* [helm](../helm)	 - 쿠버네티스에 대한 헬름 패키지 매니저.

###### Auto generated by spf13/cobra on 11-May-2020
