---
title: "Helm Dependency"
---

## helm dependency

차트의 종속성을 관리

### 개요


차트의 종속성을 관리한다.

헬름 차트는 종속성을 'charts/' 에 저장한다. 차트 개발자의 경우
모든 종속성을 선언하는 'Chart.yaml' 에서 종속성을 관리하는 것이
더 쉬운 경우가 많다.

종속성 명령은 해당 파일에서 작동하므로 원하는 종속성과 
'charts/' 디렉토리에 저장된 실제 종속성을 쉽게 
동기화 할 수 있다.

예를 들어 이 Chart.yaml 은 두 가지 종속성을 선언한다.

    # Chart.yaml
    dependencies:
    - name: nginx
      version: "1.2.3"
      repository: "https://example.com/charts"
    - name: memcached
      version: "3.2.1"
      repository: "https://another.example.com/charts"


'name' 은 차트의 이름이어야 한다. 여기서 해당 이름은 해당 차트의 
'Chart.yaml' 파일에 있는 이름과 일치해야 한다.

'version' 필드에는 의미론적 버전 또는 버전 범위가 포함되어야 한다.

'repository' URL은 차트 레포지터리를 가리켜야한다. 헬름은 URL 에
'/index.yaml' 을 추가하여 차트 저장소의 색인을 검색할 수 있어야 한다고 예상한다.
참고: 'repository' 는 별칭이 될 수도 있다. 별칭은
'alias:' 나 '@'로 시작해야 한다.

2.2.0 부터는 저장소는 로컬에 저장된 종속성 차트의 디렉토리 경로로 정의할 
수 있다. 경로는 "file://" 접두사로 시작해야 한다.
예를 들면,

    # Chart.yaml
    dependencies:
    - name: nginx
      version: "1.2.3"
      repository: "file://../dependency_chart/nginx"

종속성 차트가 로컬로 검색되는 경우 "helm add repo" 를 통해 
저장소를 헬름에 추가할 필요가 없다. 이 경우 버전 일치 
또한 지원된다.


### 옵션

```
  -h, --help   helm dependency 명령어의 도움말
```

### 부모 명령어에서 상속된 옵션들

```
      --debug                       장황한(verbose) 출력 활성화
      --kube-apiserver string       쿠버네티스 API 서버의 주소 및 포트
      --kube-as-group stringArray   작업에 관해 제시할 그룹. 플래그를 여러 번 사용하여 여러 그룹 지정 가능
      --kube-as-user string         작업에 관해 제시할 사용자명
      --kube-context string         사용할 kubeconfig 컨텍스트 이름
      --kube-token string           인증에 사용될 베어러(bearer) 토큰
      --kubeconfig string           kubeconfig 파일 경로
  -n, --namespace string            이 요청에 대한 네임스페이스 스코프
      --registry-config string      레지스트리 구성 파일에 대한 경로 (기본값 "~/.config/helm/registry.json")
      --repository-cache string     캐시된 저장소 색인이 포함된 파일의 경로 (기본값 "~/.cache/helm/repository")
      --repository-config string    저장소 이름 및 URL 을 포함하는 파일 경로 (기본값 "~/.config/helm/repositories.yaml")
```

### 함께 보기

* [helm](helm.md)	 - 쿠버네티스에 대한 헬름 패키지 매니저.
* [helm dependency build](helm_dependency_build.md)	 - Chart.lock 파일을 기반으로 charts/ 디렉토리를 다시 빌드
* [helm dependency list](helm_dependency_list.md)	 - 주어진 차트에 대한 종속성 나열
* [helm dependency update](helm_dependency_update.md)	 - Chart.yaml 의 내용에 따라 charts/ 업데이트

###### Auto generated by spf13/cobra on 29-Oct-2020
