---
title: "Helm Verify"
---

## helm verify

주어진 경로의 차트가 서명되었고, 유효한지 확인한다.

### 개요


주어진 차트에 유효한 출처(provenance) 파일이 있는지를 검증한다.

출처 파일은 차트가 변조되지 않았으며 신뢰할 수 있는 공급자가
패키징했다는 암호화 검증을 제공한다.

이 명령어는 로컬 차트를 검증하는데 사용될 수 있다. 다른 여러 명령어는 
동일한 유효성 검사를 실행하는 '--verify' 플래그를 제공한다. 서명된 패키지를 생성하기 위해서는
'helm package --sign' 명령어를 사용하자.


```
helm verify PATH [flags]
```

### 옵션

```
  -h, --help             verify 에 대한 도움말
      --keyring string   공개 키를 포함하는 키링(keyring) (기본값 "~/.gnupg/pubring.gpg")
```

### 부모 명령어에서 상속된 옵션들

```
      --add-dir-header                   이 값이 true이면, 헤더에 파일 디렉토리를 추가
      --alsologtostderr                  파일 및 표준오류로 로그 출력
      --debug                            장황한(verbose) 출력 활성화
      --kube-apiserver string            쿠버네티스 API 서버의 주소 및 포트
      --kube-context string              사용할 kubeconfig 컨텍스트 이름
      --kube-token string                인증에 사용될 베어러(bearer) 토큰
      --kubeconfig string                kubeconfig 파일 경로
      --log-backtrace-at traceLocation   로깅 시 N 행에 걸친 스택 추적 내용을 표시 (기본값 :0)
      --log-dir string                   값을 지정하면, 지정한 디렉토리에 로그 파일 기록
      --log-file string                  값을 지정하면, 지정한 로그 파일 사용
      --log-file-max-size uint           로그파일이 증가할 수 있는 최대 크기 지정. 단위는 메가바이트이다. 값이 0이면, 최대 파일크기는 무제한. (기본값 1800)
      --logtostderr                      로그를 파일이 아닌 표준 오류로 표시 (기본값 true)
  -n, --namespace string                 요청에 대한 네임스페이스 지정
      --registry-config string           레지스트리 구성 파일에 대한 경로 (기본값 "~/.config/helm/registry.json")
      --repository-cache string          캐시된 저장소 색인이 포함된 파일의 경로 (기본값 "~/.cache/helm/repository")
      --repository-config string         저장소 이름 및 URL 을 포함하는 파일 경로 (기본값 "~/.config/helm/repositories.yaml")
      --skip-headers                     이 값이 true이면, 로그파일에서 헤더 접두어를 미사용
      --skip-log-headers                 이 값이 true이면, 로그파일을 열 때 헤더 제외
      --stderrthreshold severity         stderr로 로그가 변경될 수 있는 최저 임계점 (기본값 2)
  -v, --v Level                          로그 수준 상세표시 레벨
      --vmodule moduleSpec               파일로 필터링된 로깅을 위한 패턴=N 설정의 쉼표로 구분된 리스트
```

### 참조

* [helm](../helm)	 - 쿠버네티스에 대한 헬름 패키지 매니저.

###### Auto generated by spf13/cobra on 14-Sep-2020
