---
title: "헬름 버전 지원 정책"
description: "헬름의 패치 릴리스 정책과 헬름, 헬름과 쿠버네티스 간에 지원되는 최대의 버전 차이를 설명"
---

이 문서는 헬름과 쿠버네티스 간에 지원되는 최대의 버전 차이를
설명한다.

## 지원되는 버전

헬름 버전들은 `x.y.z` 로 표현된다. 여기서 `x` 는 주 버전, 
`y` 는 부 버전, z는 패치 버전으로 [유의적
버전](https://semver.org/spec/v2.0.0.html) 을 따른다.

헬름 프로젝트는 최신 부 릴리스에 대한 릴리스 브랜치를 유지한다.
보안 픽스를 포함하여 적용가능한 픽스는 심각도와 타당성에 따라
릴리스 브랜치로 선별 적용된다. 패치 릴리스는 필요한 경우 해당 브랜치에서 
제외된다. 이 결정은 릴리스 관리자가 담당한다.

## 지원되는 버전 차이(skew)

헬름의 새 버전이 출시 되면, 쿠버네티스의 특정 부 버전에 
대해 컴파일된다. 예를 들어 헬름 3.0.0은 쿠버네티스 1.16.2 클라이언트를 사용하여 
쿠버네티스와 상호작용하므로 쿠버네티스 1.16 과 호환된다고 할 수 있다.

헬름 3부터는, 헬름은 그에 대응하여 컴파일되는 쿠버네티스 `n-3` 버전과 호환되는 
것으로 간주된다. 쿠버네티스 마이너 버전 간의 차이로 인해 헬름 2의 
지원 정책은 약간 더 엄격한데, 쿠버네티스의 `n-1` 버전과 호환되는 것으로
간주한다.

예를 들어, 쿠버네티스 1.17 클라이언트 API 에 대응하여 컴파일된
헬름 3 버전을 사용하는 경우, 쿠버네티스 1.17, 1.16, 1.15 
및 1.14 와 함께 사용하는 것이 안전할 것이다. 쿠버네티스 1.16 클라이언트 
API 에 대해 컴파일 된 헬름 2 버전을 사용하는 경우, 
쿠버네티스 1.16 및 1.15 와 함께 사용하는 것이 안전할 것이다.

헬름은 상위호환성을 보장하지 않으므로, 대응하여 컴파일된
버전보다 더 높은 쿠버네티스 버전에서
헬름을 사용하는 것은 권장되지 않는다.

만약 지원하지 않는 쿠버네티스 버전에서 헬름을 사용하고자 하는 경우, 
사용자는 위험을 감수하고 사용하게 된다.

클러스터와 호환되는 헬름 버전을 확인하려면 아래의 표를 
참조하자.

| 헬름 버전       | 지원하는 쿠버네티스 버전              |
|--------------|-------------------------------|
| 3.3.x        | 1.18.x - 1.15.x               |
| 3.2.x        | 1.18.x - 1.15.x               |
| 3.1.x        | 1.17.x - 1.14.x               |
| 3.0.x        | 1.16.x - 1.13.x               |
| 2.16.x       | 1.16.x - 1.15.x               |
| 2.15.x       | 1.15.x - 1.14.x               |
| 2.14.x       | 1.14.x - 1.13.x               |
| 2.13.x       | 1.13.x - 1.12.x               |
| 2.12.x       | 1.12.x - 1.11.x               |
| 2.11.x       | 1.11.x - 1.10.x               |
| 2.10.x       | 1.10.x - 1.9.x                |
| 2.9.x        | 1.10.x - 1.9.x                |
| 2.8.x        | 1.9.x - 1.8.x                 |
| 2.7.x        | 1.8.x - 1.7.x                 |
| 2.6.x        | 1.7.x - 1.6.x                 |
| 2.5.x        | 1.6.x - 1.5.x                 |
| 2.4.x        | 1.6.x - 1.5.x                 |
| 2.3.x        | 1.5.x - 1.4.x                 |
| 2.2.x        | 1.5.x - 1.4.x                 |
| 2.1.x        | 1.5.x - 1.4.x                 |
| 2.0.x        | 1.4.x - 1.3.x                 |
