---
title: "Загальні домовленості"
description: "Загальні домовленості для чартів."
weight: 1
---

Ця частина Посібника з найкращих практик пояснює загальні домовленості.

## Назви чартів {#chart-names}

Назви чартів повинні складатися з літер нижнього регістру та цифр. Слова _можуть_ бути розділені дефісами (-):

Приклади:

```none
drupal
nginx-lego
aws-cluster-autoscaler
```

У назвах чартів не можна використовувати великі літери та підкреслення. Також не слід використовувати крапки.

## Номери версій {#version-numbers}

По можливості, Helm використовує [SemVer 2](https://semver.org) для позначення номерів версій. (Зверніть увагу, що теґи Docker-образів не завжди відповідають SemVer і тому вважаються невдалим винятком з правила.)

Коли версії SemVer зберігаються в мітках Kubernetes, ми умовно змінюємо символ `+` на `_`, оскільки мітки не допускають використання знака `+` як значення.

## Форматування YAML {#formatting-yaml}

Файли YAML повинні використовувати відступи у _два пробіли_ (і ніколи табуляцією).

## Використання слів Helm і Chart {#usage-of-the-words-helm-and-chart}

Існує кілька конвенцій щодо використання слів _Helm_ і _helm_.

- _Helm_ відноситься до проєкту в цілому
- `helm` відноситься до клієнтської команди
- Термін `chart` не потрібно писати з великої літери, оскільки це не власна назва
- Однак `Chart.yaml` необхідно писати з великої літери, оскільки назва файлу чутлива до регістру

У разі сумніву використовуйте _Helm_ (з великої літери "H").
