---
title: "Залежності"
description: "Охоплює найкращі практики для залежностей Charts."
weight: 4
---

Цей розділ посібника охоплює найкращі практики для `залежностей`, оголошених у `Chart.yaml`.

## Версії {#versions}

По можливості використовуйте діапазони версій замість привʼязки до точної версії. Рекомендоване стандартне значення — це використання відповідності на рівні патчу:

```yaml
version: ~1.2.3
```

Це буде відповідати версії `1.2.3` та будь-яким патчам для цього випуску. Іншими словами, `~1.2.3` є еквівалентом `>= 1.2.3, < 1.3.0`.

Для повної синтаксичної відповідності версій див. [документацію semver](https://github.com/Masterminds/semver#checking-version-constraints).

### Попередні версії {#prereleases-versions}

Вищезгадані обмеження версій не будуть відповідати попереднім версіям. Наприклад, `version: ~1.2.3` буде відповідати `version: ~1.2.4`, але не `version: ~1.2.3-1`. Наступне забезпечує відповідність як попередніх версій, так і на рівні патчу:

```yaml
version: ~1.2.3-0
```

### URL-адреси репозиторіїв {#repository-urls}

По можливості використовуйте URL-адреси репозиторіїв `https://`, далі `http://`.

Якщо репозиторій був доданий до файлу індексу репозиторіїв, імʼя репозиторію може бути використане як псевдонім URL. Використовуйте `alias:` або `@`, за яким слідують імена репозиторіїв.

URL-адреси файлів (`file://...`) вважаються "особливим випадком" для чартів, які збираються фіксованим процесом розгортання.

При використанні [втулків завантажувача]({{< ref "../topics/plugins#downloader-plugins" >}}) схема URL буде специфічною для втулка. Зверніть увагу, що користувачеві чарту буде потрібно мати втулок, що підтримує схему, встановлений для оновлення або побудови залежності.

Helm не може виконувати операції управління залежностями для залежності, коли поле `repository` залишено порожнім. У цьому випадку Helm припускатиме, що залежність знаходиться в підтеці теки `charts` з іменем, яке відповідає властивості `name` для залежності.

## Умови та теґи {#conditions-and-tags}

Умови або теґи слід додавати до будь-яких залежностей, які _є необовʼязковими_.

Бажана форма умови є такою:

```yaml
condition: somechart.enabled
```

Де `somechart` є іменем чарту залежності.

Коли кілька субчартів (залежностей) разом забезпечують необовʼязкову або замінну функцію, ці чарт можуть мати спільні теґи.

Наприклад, якщо як `nginx`, так і `memcached` разом забезпечують оптимізації продуктивності для основного застосунку в чарті та вони потрібні, щоб обидва були присутні, коли ця функція увімкнена, то вони повинні мати розділ теґів як цей:

```yaml
tags:
  - webaccelerator
```

Це дозволяє користувачеві вмикати або вимикати цю функцію за допомогою одного теґу.
