---
title: "Виправлення помилок у шаблонах"
description: "Виправлення проблем з розгортанням чартів."
weight: 13
---

Виправлення помилок у шаблонах може бути складним, оскільки відрендерені шаблони надсилаються на сервер API Kubernetes, який може відхиляти YAML-файли з інших причин, окрім форматування.

Є кілька команд, які можуть допомогти в процесі налагодження:

- `helm lint` є вашим основним інструментом для перевірки того, чи ваш чарт відповідає найкращим практикам.
- `helm template --debug` дозволяє тестувати рендеринг шаблонів чарту локально.
- `helm install --dry-run --debug` також рендерить ваш чарт локально без його встановлення, але також перевіряє, чи конфліктують ресурси вже з запущеними на кластері. Налаштування `--dry-run=server` додатково виконає будь-які `lookup` у вашому чарті на сервері.
- `helm get manifest`: Це хороший спосіб побачити, які шаблони встановлені на сервері.

Коли ваш YAML не проходить перевірку, але ви хочете побачити, що було згенеровано, простий спосіб отримати YAML — закоментувати проблемний розділ у шаблоні, а потім повторно запустити `helm install --dry-run --debug`:

```yaml
apiVersion: v2
# деяка: проблемна секція
# {{ .Values.foo | quote }}
```

Вищенаведене буде відрендерене і повернуто з коментарями, що дозволяє швидко переглядати згенерований контент без помилок парсингу YAML:

```yaml
apiVersion: v2
# деяка: проблемна секція
#  "bar"
```

Це забезпечує швидкий спосіб перегляду згенерованого контенту без блокування помилками парсингу YAML.
