---
title: "Файл .helmignore"
description: "Файл `.helmignore` використовується для вказівки файлів, які не слід включати у ваш Helm чарт."
weight: 12
---

Файл `.helmignore` використовується для вказівки файлів, які не слід включати у ваш Helm чарт.

Якщо цей файл існує, команда `helm package` ігноруватиме всі файли, які відповідають шаблону, зазначеному у файлі `.helmignore`, під час упаковки вашого застосунку.

Це може допомогти уникнути додавання непотрібних або конфіденційних файлів або тек у ваш Helm чарт.

Файл `.helmignore` підтримує глобальний збіх Unix shell, відносний збіг шляхів та заперечення (з префіксом !). Розглядається лише один шаблон на рядок.

Ось приклад файлу `.helmignore`:

```none
# коментар

# Відповідає будь-якому файлу або шляху з імʼям .helmignore
.helmignore

# Відповідає будь-якому файлу або шляху з імʼям .git
.git

# Відповідає будь-якому текстовому файлу
*.txt

# Відповідає тільки текам з імʼям mydir
mydir/

# Відповідає тільки текстовим файлам на верхньому рівні теки
/*.txt

# Відповідає тільки файлу foo.txt на верхньому рівні теки
/foo.txt

# Відповідає будь-якому файлу з імʼям ab.txt, ac.txt або ad.txt
a[b-d].txt

# Відповідає будь-якому файлу у субтеці subdir, що відповідає temp*
*/temp*

*/*/temp*
temp?
```

Декілька важливих відмінностей від `.gitignore`:

- Синтаксис '**' не підтримується.
- Бібліотека globbing є Go's `filepath.Match`, а не `fnmatch(3)`.
- Пробіли на кінці ігноруються завжди (немає підтримки екранованих послідовностей).
- Немає підтримки '\!' як спеціальної початкової послідовності.
- Файл `.helmignore` стандартно не виключає себе, потрібно додати явний запис для `.helmignore`.

**Ми будемо вдячні за вашу допомогу** у покращенні цього документа. Щоб додати, виправити або видалити інформацію, [відкрийте тікет](https://github.com/helm/helm-www/issues) або надішліть нам запит на внесення змін.
