---
title: "Helm Pull"
---

## helm pull

завантажити чарт з репозиторію та (за бажанням) розпакувати його в локальну теку

### Опис {#synopsis}

Отримати пакет із репозиторію пакетів та завантажити його локально.

Це корисно для отримання пакетів для інспекції, модифікації або перепакування. Також це можна використовувати для криптографічної перевірки чарту без його встановлення.

Існують параметри для розпакування чарту після завантаження. Це створить теку для чарту та розпакує в неї файли.

Якщо вказано прапорець `--verify`, запитуваний чарт ПОВИНЕН мати файл підтвердження автентичності та ПОВИНЕН пройти процес перевірки. Будь-яка помилка призведе до помилки, і чарт не буде збережено локально.

```shell
helm pull [URL чарта | репозиторій/назвачартa] [...] [flags]
```

### Параметри {#options}

```none
      --ca-file string             перевірити сертифікати HTTPS-серверів за допомогою цього CA пакету
      --cert-file string           ідентифікувати клієнта HTTPS, використовуючи цей файл SSL сертифікату
  -d, --destination string         місце для збереження чарту. Якщо вказано разом із untardir, то untardir буде додано до нього (стандартно ".")
      --devel                      використовувати також версії в розробці. Еквівалент версії '>0.0.0-0'. Якщо вказано --version, цей параметр ігнорується.
  -h, --help                       довідка pull
      --insecure-skip-tls-verify   пропустити перевірку TLS-сертифікатів для завантаження чарту
      --key-file string            ідентифікувати HTTPS-клієнта за допомогою цього SSL-ключа
      --keyring string             місце розташування публічних ключів для перевірки (стандартно "~/.gnupg/pubring.gpg")
      --pass-credentials           передавати облікові дані всім доменам
      --password string            пароль для репозиторію чарта, де знаходиться запитуваний чарт
      --plain-http                 використовувати незахищені HTTP-зʼєднання для завантаження чарта
      --prov                       завантажити файл підтвердження автентичності, але не виконувати перевірку
      --repo string                URL репозиторію чарта, де знаходиться запитуваний чарт
      --untar                      якщо встановлено, чарт буде розпаковано після завантаження
      --untardir string            якщо вказано untar, цей прапорець вказує назву теки, в яку буде розпаковано чарт (стандартно ".")
      --username string            імʼя користувача для репозиторію чарта, де знаходиться запитуваний чарт
      --verify                     перевірити пакет перед використанням
      --version string             вказати обмеження на версію чарта для використання. Це обмеження може бути конкретною міткою (наприклад, 1.1.1) або посилатися на допустимий діапазон (наприклад, ^2.0.0). Якщо не вказано, використовується остання версія
```

### Параметри, успадковані від батьківських команд {#options-inherited-from-parent-commands}

```none
      --burst-limit int                 стандартні обмеження на стороні клієнта (стандартно 100)
      --debug                           увімкнути розширений вивід
      --kube-apiserver string           адреса та порт сервера API Kubernetes
      --kube-as-group stringArray       група для імперсонації під час операції, цей прапор може бути повторений для вказання кількох груп.
      --kube-as-user string             імʼя користувача для імперсонації під час операції
      --kube-ca-file string             файл центру сертифікаці СА для підключення до сервера API Kubernetes
      --kube-context string             імʼя контексту kubeconfig для використання
      --kube-insecure-skip-tls-verify   якщо встановлено true, сертифікат сервера API Kubernetes не буде перевірятися на дійсність. Це робить ваші HTTPS-зʼєднання небезпечними
      --kube-tls-server-name string     імʼя сервера для перевірки сертифіката сервера API Kubernetes. Якщо не вказано, використовується імʼя хоста, що використовується для підключення до сервера
      --kube-token string               токен на предʼявника, який використовується для автентифікації
      --kubeconfig string               шлях до файлу kubeconfig
  -n, --namespace string                простір імен для цього запиту
      --qps float32                     кількість запитів в секунду під час взаємодії з API Kubernetes, не включаючи сплески
      --registry-config string          шлях до файлу конфігурації реєстру (стандартно "~/.config/helm/registry/config.json")
      --repository-cache string         шлях до теки, що містить кешовані індекси репозиторіїв (стандартно "~/.cache/helm/repository")
      --repository-config string        шлях до файлу, що містить імена та URL репозиторіїв (стандартно "~/.config/helm/repositories.yaml")
```

### ДИВІТЬСЯ ТАКОЖ {#see-also}

* [helm](helm.md) — Менеджер пакетів Helm для Kubernetes.

###### Автоматично згенеровано spf13/cobra 11 вересня 2024
