---
title: "Helm Search Repo"
---

## helm search repo

шукати репозиторії за ключовим словом у чартах

### Опис {#synopsis}

Команда search проходить через всі репозиторії, налаштовані в системі, і шукає збіги. Пошук цих репозиторіїв використовує метадані, збережені в системі.

Вона відобразить останні стабільні версії знайдених чартів. Якщо ви вказуєте прапорець --devel, у виводі будуть включені передрелізні версії. Якщо ви хочете шукати за допомогою обмеження версії, використовуйте --version.

Приклади:

```console
# Шукати стабільні версії релізів, що відповідають ключовому слову "nginx"
$ helm search repo nginx

# Шукати версії релізів, що відповідають ключовому слову "nginx", включаючи версії передрелізні
$ helm search repo nginx --devel

# Шукати останній стабільний реліз для nginx-ingress з основною версією 1
$ helm search repo nginx-ingress --version ^1.0.0
```

Репозиторії управляються командами 'helm repo'.

```shell
helm search repo [keyword] [flags]
```

### Параметри {#options}

```none
      --devel                використовувати також версії в розробці. Еквівалент версії '>0.0.0-0'. Якщо вказано --version, цей параметр ігнорується.
      --fail-on-no-result    повертає помилку, якщо результати не знайдені
  -h, --help                 довідка repo
      --max-col-width uint   максимальна ширина стовпця для таблиці виводу (стандартно 50)
  -o, --output format        вивести результат у вказаному форматі. Доступні значення: table, json, yaml (стандартно table)
  -r, --regexp               використовувати регулярні вирази для пошуку в репозиторіях, які ви додали
      --version string       шукати, використовуючи обмеження семантичного версіонування в репозиторіях, які ви додали
  -l, --versions             показати довгий список, з кожною версією кожного чарту на окремому рядку, для репозиторіїв, які ви додали
```

### Параметри, успадковані від батьківських команд {#options-inherited-from-parent-commands}

```none
      --burst-limit int                 стандартні обмеження на стороні клієнта (стандартно 100)
      --debug                           увімкнути розширений вивід
      --kube-apiserver string           адреса та порт сервера API Kubernetes
      --kube-as-group stringArray       група для імперсонації під час операції, цей прапор може бути повторений для вказання кількох груп.
      --kube-as-user string             імʼя користувача для імперсонації під час операції
      --kube-ca-file string             файл центру сертифікаці СА для підключення до сервера API Kubernetes
      --kube-context string             імʼя контексту kubeconfig для використання
      --kube-insecure-skip-tls-verify   якщо встановлено true, сертифікат сервера API Kubernetes не буде перевірятися на дійсність. Це робить ваші HTTPS-зʼєднання небезпечними
      --kube-tls-server-name string     імʼя сервера для перевірки сертифіката сервера API Kubernetes. Якщо не вказано, використовується імʼя хоста, що використовується для підключення до сервера
      --kube-token string               токен на предʼявника, який використовується для автентифікації
      --kubeconfig string               шлях до файлу kubeconfig
  -n, --namespace string                простір імен для цього запиту
      --qps float32                     кількість запитів в секунду під час взаємодії з API Kubernetes, не включаючи сплески
      --registry-config string          шлях до файлу конфігурації реєстру (стандартно "~/.config/helm/registry/config.json")
      --repository-cache string         шлях до теки, що містить кешовані індекси репозиторіїв (стандартно "~/.cache/helm/repository")
      --repository-config string        шлях до файлу, що містить імена та URL репозиторіїв (стандартно "~/.config/helm/repositories.yaml")
```

### ДИВІТЬСЯ ТАКОЖ {#see-also}

* [helm search](helm_search.md) — пошук ключового слова в чартах

###### Автоматично згенеровано spf13/cobra 11 вересня 2024
