---
title: "Helm Template"
---

## helm template

локальний рендеринг шаблонів

### Опис {#synopsis}

Рендерить шаблони чарту локально та показує результат.

Будь-які значення, які зазвичай шукалися або отримувалися в кластері, будуть імітуватися локально. Крім того, жодна з перевірок валідності чарту на сервері (наприклад, перевірка підтримки API) не проводиться.

```shell
helm template [NAME] [CHART] [flags]
```

### Параметри

```none
  -a, --api-versions strings                       версії API Kubernetes, які використовуються для Capabilities.APIVersions
      --atomic                                     якщо вказано, процес встановлення видалить інсталяцію у разі невдачі. Прапорець --wait буде встановлено автоматично, якщо використовується --atomic
      --ca-file string                             перевірити сертифікати HTTPS-серверів за допомогою цього CA пакету
      --cert-file string                           ідентифікувати клієнта HTTPS, використовуючи цей файл SSL сертифікату
      --create-namespace                           створити простір імен релізу, якщо його не існує
      --dependency-update                          оновити залежності, якщо вони відсутні перед установкою чарту
      --description string                         додати власний опис
      --devel                                      використовувати також версії в розробці. Еквівалент версії '>0.0.0-0'. Якщо вказано --version, цей параметр ігнорується.
      --disable-openapi-validation                 якщо вказано, процес встановлення не буде перевіряти шаблони за схемою OpenAPI Kubernetes
      --dry-run string[="client"]                  імітувати встановлення. Якщо --dry-run вказано без жодної опції або як '--dry-run=client', він не буде намагатися підключитися до кластера. Встановлення '--dry-run=server' дозволяє намагатися підключитися до кластера.
      --enable-dns                                 увімкнути DNS запити при рендерингу шаблонів
      --force                                      примусово оновлювати ресурси через стратегію заміни
  -g, --generate-name                              згенерувати імʼя (та опустити параметр NAME)
  -h, --help                                       довідка по template
      --hide-notes                                 якщо встановлено, не показувати примітки у виводі встановлення. Не впливає на присутність у метаданих чарту
      --include-crds                               включити CRD у вивід шаблонів
      --insecure-skip-tls-verify                   пропустити перевірки TLS сертифікатів для завантаження чарту
      --is-upgrade                                 встановити .Release.IsUpgrade замість .Release.IsInstall
      --key-file string                            ідентифікувати клієнта HTTPS, використовуючи цей файл SSL ключа
      --keyring string                             розташування публічних ключів, використовуваних для перевірки (стандартно "~/.gnupg/pubring.gpg")
      --kube-version string                        версія Kubernetes, яка використовується для Capabilities.KubeVersion
  -l, --labels stringToString                      Мітки, які будуть додані до метаданих релізу. Мають бути розділені комами. (стандартно [])
      --name-template string                       вказати шаблон, використаний для іменування релізу
      --no-hooks                                   запобігти виконанню хуків у процесі установки
      --output-dir string                          записувати виконані шаблони у файли в output-dir замість stdout
      --pass-credentials                           передати облікові дані всім доменам
      --password string                            пароль до репозиторію чартів, де знайти запитуваний чарт
      --plain-http                                 використовувати небезпечні HTTP зʼєднання для завантаження чарту
      --post-renderer postRendererString           шлях до виконуваного файлу, який буде використаний для пост-рендерингу. Якщо він існує в $PATH, буде використано цей бінарний файл, інакше спробує знайти виконуваний файл за вказаним шляхом
      --post-renderer-args postRendererArgsSlice   аргумент для пост-рендерера (можна вказати кілька) (стандартно [])
      --release-name                               використовувати імʼя релізу в шляху output-dir
      --render-subchart-notes                      якщо вказано, рендерити нотатки субчарту разом з батьківським
      --replace                                    повторно використовувати дане імʼя, тільки якщо це імʼя є видаленим релізом, який залишається в історії. Це небезпечно в операційному середовищі
      --repo string                                URL репозиторію чартів, де знайти запитуваний чарт
      --set stringArray                            встановити значення в командному рядку (можна вказати кілька або розділити значення комами: key1=val1,key2=val2)
      --set-file stringArray                       встановити значення з відповідних файлів, зазначених через командний рядок (можна вказати кілька або розділити значення комами: key1=path1,key2=path2)
      --set-json stringArray                       встановити JSON значення в командному рядку (можна вказати кілька або розділити значення комами: key1=jsonval1,key2=jsonval2)
      --set-literal stringArray                    встановити літеральне STRING значення на командному рядку
      --set-string stringArray                     встановити STRING значення в командному рядку (можна вказати кілька або розділити значення комами: key1=val1,key2=val2)
  -s, --show-only stringArray                      показати тільки маніфести, відрендерені з вказаних шаблонів
      --skip-crds                                  якщо вказано, CRD не будуть встановлені. Ствндартно CRD встановлюються, якщо ще не присутні
      --skip-schema-validation                     якщо встановлено, вимикає перевірку схеми JSON
      --skip-tests                                 пропустити тести з виводу шаблонів
      --timeout duration                           час очікування для будь-якої окремої операції Kubernetes (наприклад, Jobs для хук) (стандартно 5м0с)
      --username string                            імʼя користувача репозиторію чартів, де знайти запитуваний чарт
      --validate                                   перевірити ваші маніфести на відповідність кластеру Kubernetes, до якого ви в даний час звертаєтеся. Це така ж перевірка, яка виконується при установці
  -f, --values strings                             вказати значення в YAML файлі або URL (можна вказати кілька)
      --verify                                     перевірити пакет перед його використанням
      --version string                             вказати обмеження версії для версії чарту, яку потрібно використовувати. Це обмеження може бути конкретним тегом (наприклад, 1.1.1) або може посилатися на дійсний діапазон (наприклад, ^2.0.0). Якщо це не вказано, використовується остання версія
      --wait                                       якщо вказано, буде чекати, поки всі Pods, PVCs, Services та мінімальна кількість Pods Deployment, StatefulSet або ReplicaSet не будуть у стані готовності, перш ніж позначити реліз як успішний. Це буде чекати стільки, скільки вказано у --timeout
      --wait-for-jobs                              якщо вказано і --wait увімкнено, буде чекати, поки всі Jobs не будуть завершені перед тим, як позначити реліз як успішний. Це буде чекати стільки, скільки вказано у --timeout
```

### Параметри, успадковані від батьківських команд {#options-inherited-from-parent-commands}

```none
      --burst-limit int                 стандартні обмеження на стороні клієнта (стандартно 100)
      --debug                           увімкнути розширений вивід
      --kube-apiserver string           адреса та порт сервера API Kubernetes
      --kube-as-group stringArray       група для імперсонації під час операції, цей прапор може бути повторений для вказання кількох груп.
      --kube-as-user string             імʼя користувача для імперсонації під час операції
      --kube-ca-file string             файл центру сертифікаці СА для підключення до сервера API Kubernetes
      --kube-context string             імʼя контексту kubeconfig для використання
      --kube-insecure-skip-tls-verify   якщо встановлено true, сертифікат сервера API Kubernetes не буде перевірятися на дійсність. Це робить ваші HTTPS-зʼєднання небезпечними
      --kube-tls-server-name string     імʼя сервера для перевірки сертифіката сервера API Kubernetes. Якщо не вказано, використовується імʼя хоста, що використовується для підключення до сервера
      --kube-token string               токен на предʼявника, який використовується для автентифікації
      --kubeconfig string               шлях до файлу kubeconfig
  -n, --namespace string                простір імен для цього запиту
      --qps float32                     кількість запитів в секунду під час взаємодії з API Kubernetes, не включаючи сплески
      --registry-config string          шлях до файлу конфігурації реєстру (стандартно "~/.config/helm/registry/config.json")
      --repository-cache string         шлях до теки, що містить кешовані індекси репозиторіїв (стандартно "~/.cache/helm/repository")
      --repository-config string        шлях до файлу, що містить імена та URL репозиторіїв (стандартно "~/.config/helm/repositories.yaml")
```

### ДИВІТЬСЯ ТАКОЖ {#see-also}

- [helm](helm.md) — менеджер пакетів Helm для Kubernetes.

###### Автоматично згенеровано spf13/cobra 11 вересня 2024
