---
title: "Політика графіку випусків"
description: "Описує політику графіку випусків Helm."
weight: 17
---

Для зручності користувачів Helm визначає та оголошує дати випусків заздалегідь. Цей документ описує політику, що регулює графік випусків Helm.

## Календар випусків {#release-calendar}

Публічний календар із запланованими випусками Helm можна знайти [тут](https://helm.sh/calendar/release).

## Семантичне версіювання {#semantic-versioning}

Версії Helm виражаються як `x.y.z`, де `x` — це основна версія, `y` — мінорна версія, а `z` — випуск патча, відповідно до термінології [семантичного версіювання](https://semver.org/spec/v2.0.0.html).

## Випуски патчів {#patch-releases}

Випуски патчів надають користувачам виправлення помилок і виправлення з безпеки. Вони не містять нових функцій.

Новий випуск патча, що стосується останньої мінорної/основної версії, зазвичай здійснюється один раз на місяць, у другу середу кожного місяця.

Випуск патча для виправлення пріоритетної регресії або проблеми безпеки може бути здійснений за потребою.

Випуск патча буде скасовано з будь-якої з наступних причин:

- якщо з моменту попереднього випуску не було додано нового вмісту;
- якщо дата випуску патча припадає на тиждень до першого реліз-кандидата (RC1) майбутнього мінорного випуску;
- якщо дата випуску патча припадає на чотири тижні після мінорного випуску.

## Мінорні випуски {#minor-releases}

Мінорні випуски містять виправлення безпеки та помилок, а також нові функції. Вони є зворотно сумісними з API та використанням CLI.

Щоб узгодитися з випусками Kubernetes, мінорний випуск Helm здійснюється кожні 4 місяці (3 випуски на рік).

Додаткові мінорні випуски можуть здійснюватися за потреби, але це не вплине на графік оголошеного майбутнього випуску, якщо до нього не залишилося менше 7 днів.

Одночасно з публікацією випуску буде оголошено дату наступного мінорного випуску, яка буде опублікована на головній вебсторінці Helm.

## Основні випуски

Основні випуски містять зміни, що порушують сумісність. Такі випуски є рідкісними, але іноді необхідні для подальшого важливого розвитку Helm.

Основні випуски можуть бути складними для планування. З огляду на це, остаточна дата випуску буде вибрана та оголошена лише після того, як буде доступна перша бета-версія такого випуску.
